Welcome to Bolide Software All My Movies™

Bolide Software All My Movies™ is premiere movie collection organizer.

Thank you for choosing Bolide Software All My Movies™!

All My Movies ™ is intended for those who tired of managing home movie collection. It is an easy to use movie database manager. You can use it for cataloging your personal collection of DVDs, CDs, VHS tapes, etc...

The main features are

easy import movie details from online movie database

demonstrative and handy vision of all your movie collection

importing screenshots directly from your movie DVDs or AVI files to the database. which can help you remember movie using your visual memory and evaluate quality of the movie's picture

fast movie search by any of the database fields - Title, director, year, actors, genre, description, etc

export your movie collection to HTML, plain text or Microsoft Excel format, so you can place it at your home web page or import to some other software

share with friend feature allows you to send easily your movie collection database to friends

easy to use loan manager

Please choose:

  • Getting started with All My Movies™

  • What's new in All My Movies™?

  • Using All My Movies™ Manual

  • About Bolide Software, Inc

Bolide Software All My Movies™ is shareware product. Please read program License carefully.


What's New

What's New in All My Movies™

version 3.1 build 1170

+new skinnable user interfase. You can use standart Windows XP themes as a skins;
+MPAA rating support added;
+now you can choose field to sort by when exporting;
+ability to append movies from another database;
* founded bugs are fixed now;

version 3.0 build 1160

+third party plug-ins support added;
+plug-in for importing movie collection created with an Ant Movie Catalog;
+import from text files (CSV) added;
+easy DVD adding implemented;
+database extended with fields: user comments, date added, aspect ratio, subtitles, country, media label, URL.
+Scan drive for movies ability added;
+tree-like database view added;
+up to 10 user defined fields supported now;
+new HTML export template;
*a HUGE amount of small improvements and bug were fixed;

version 2.9 build 1146

+new user interface languages added: French, Latvian
+You can choose more than one file when adding movies from video files now
+New improved algorithm for movie details import from videoguide.ru
+Database backup ability added
+"Share with friend" feature implemented
*many small bugs were fixed

version 2.8 build 1141

+new user interface languages added: Greek, German, Dutch, Belorussian
+search for Loan field implemented
+database navigation using keyboard is implemented
+debtors statistics added
+checking for updates is implemented now
+now you can select group of movies to perform any operations, not only one
*cover images import algorithm amended
*and off course some bugs were fixed

version 2.7 build 1136

+ HTML templates support when exporting! You can make you own ones!
+ two sample HTML template included. Thanks to Mario Emmenlauer.
+Field "Loaned to" is exportable now
+Now you can group movies by original title too
*fixed some bugs including some memory leaks

version 2.6 build 1133

+Connection through proxy-server support
+Movie list column has an ability to resize now
+Statistic added
+now you can import movie details in Russian from film.ru
+new program protection and activation algorithm
*as usual previous bugs are fixed now

version 2.5 build 1127

+Database extended with fields "Media count" (for 2CD movies) and "Media location"
+Added support movies occupied 2 or more medias
+New fields available when exporting database
+Added russian movie details import from videoguide.ru
+Added import large cover images from amazon.com
+Added fullsize cover image displaying
+You can group your movies by media type, genre, year or director
*as usual previous bugs are fixed now

version 2.0 build 1125

+Now full cover image support including edit, delete, set from file
+Added multilingual support. At this moment program supports English and Russian but can be easily translated to other languages
+Fully customizable display area. Now you can set background color and your font for each field of base and toggle on and off showing any field of the database
+Extended database with new fields such as rating.
+The ability to edit ALL of the fields (including duration and other fields normally filled in by the IMDB search)
+Now you can add your own media types
+Average bitrate of audio and video streams from AVI are now calculated and stored in the database
*fixed really annoying bug with incorrect import special symbols in text from IMDb
*some more bugs are fixed

version 1.3 build 1120

+ Now you can store up to 40 screenshots in the database (instead of 10 as in earlier versions)
+ Movie list can now be displayed by original movie title or local title. Switch in Tools->Preferences menu.
+ Password protection of database. You can now organize your adult video without fear that your children can see it
* New customizable toolbar
* New menu and toolbar images
* some bugs are fixed now

version 1.2 build 1116

+ Added help (this file)
+ Added sample database
+ Import movie details including cover from the online movie database IMDb.com
+ Added cover image support, not only the screenshots
+ Now you can simply add movie and add movie from file with screenshots
+ When you adding movie from an AVI-file, the video and audio codecs are stored in the main database
* Minor user interface changes
* some bugs are fixed now


Getting Started with Bolide Software All My Movies™

This book covers basic topics on All My Movies™:

  • Menus

  • Toolbar

  • Status bar

  • Using Mouse

  • Using Keyboard


All My Movies™ Menus

Database |  |
 | New... | Asks name for new, empty movie database and creates it. There is no need to save database, because all changes are saved automatically
 | Open... | Opens existing All My Movies™ database.
 | Append from... | Appends currently opened database with the movies from another one.
 | Backup... | Backups current All My Movies™ database.
 | Compress | Compresses currently opened movie database. This implemented for removing actually deleted records, fields and other garbage from the database. You can do this automatically each time when program exits. See how to.
 | Set/Change Password... | Sets, changes or removes password protection of currently opened database. See how to.
 | Share with friend... | Allows you to easily share your movie database with your friends using mail client such as Microsoft Outlook Express. See how to.
 | Exit | Closes the active database and quits All My Movies™.
Movie |  |
 | Add... | Adds new movie to the currently opened database. Must be used if no video file available. If you have an AVI file you should to use next menu item.
 | Add DVD... | Adds new DVD capturing possible data from disc
 | Add From File... | Adds new movie to the currently opened database. You will be asked for movie file name. The program gets some technical information from file and you'll be able to get a screenshots from the movie.
 | Edit... | Edits database's fields of current movie.
 | Add cover... | Adds new cover image or replaces existing
 | Get large cover... | Imports large movie cover image from the Amazon.com
 | Add Screenshot | Adds screenshot to the current movie database record. You will be able to take screenshots from movie file or from any JPEG file.
 | Loan/Return | Marks/unmarks selected movie(s) as loaned.
 | Delete | Deletes currently selected movie. You will be asked for confirmation.
Tools |  |
 | Movie Search... | Searches movie within currently opened database. You can search by any of database fields.
 | Statistic... | Shows statistic for the current database.
 | Plugins | Has available plugins as a subitems.
 | Export to HTML... | Exports currently opened movie database to HTML format. So you can place it somewhere in Internet.
 | Export to plaintext... | Exports currently opened movie database to plaintext format. This could be usefull for further importing database to other software products.
 | Export to Excel... | Exports currently opened movie database to Microsoft Excel. Works only if Microsoft Excel installed on your system. This was implemented after some customers requests.
 | Import from text (CSV)... | Imports from text file. Allows you to select fields delimiter and assign all needed fields
 | Scan drive for movies... | Scans specified drives for movies. After scan is complete you decide which movies to add
 | Preferences... | Changes the program preferences
Help |  |
 | About | Shows program information, version, copyright and licensee.
 | Support... | Sends an e-mail to our support team. Please report any bug and mistake and you got a chance to get a free license.
 | Get your license... | Opens an URL with shopping cart where you can order license. Visible only in uregistered version
 | Check for updates... | Checks for the available updates. If updates are available you have an ability to download them.
 | Help contens... | Shows Help (this file).


All My Movies™ Status bar

Status bar is located in the bottom of main program window.

As you can see it contains currently displayed movies count. For example if you want to know how many comedies you have, just set a filter by genre with Toolbar and you got the count in the Status bar.


All My Movies™ Toolbar

Toolbar in All My Movies™ are fully customizable and located in top of main program window. The toolbar panels can be toggled on or off by right-clicking anywhere in the toolbar. You can also move and change places of any toolbar's panels by simple drag and drop. To begin drag click your mouse near vertical line at the left of each panel.

These elements you can see at toolbar:

Text field for fast movie location. Just type and a focus will move to the first movie which title begins with typed letters.

Fast filtering the movie database by genre. Choose your genre from dropdown list and only matched films will be shown

Here is set of buttons located in toolbar

Searches movie within currently opened database. You can search by any of database fields.

Asks name for new, empty movie database and creates it. There is no need to save database, because all changes are saved automatically

Opens existing All My Movies™ database.

Compresses currently opened movie database. This implemented for removing actually deleted records, fields and other garbage from the database. You can do this automatically each time when program exits. See how to.

Sets, changes or removes password protection of currently opened database. See how to.

Add new movie to the currently opened database. Must be used if no video file available.

Add new movie to the currently opened database. You will be asked for movie file name. The program gets some technical information from file and you'll be able to get a screenshots from the movie.

Edits database's fields of current movie.

Adds screenshot to the current movie database record. You will be able to take screenshots from movie file or from any JPEG file.

Deletes currently selected movie. You will be asked for confirmation.

Exports currently opened movie database to HTML format. So you can place it somewhere in Internet.

Exports currently opened movie database to plaintext format. This could be usefull for further importing database to other software products.

Exports currently opened movie database to Microsoft Excel. Works only if Microsoft Excel installed on your system.

Changes the program preferences

Shows help (this file)


Using Mouse

Using Mouse in All My Movies ™

Left mouse button selects movie in the movie list area. In the movie information area left mouse button enlarges small screenshots. You can fast filter your database using click on year, director, genre or actors fields with left mouse button. In this case you'll got a menu where you can choose possible filters. To cancel filtering please choose "Show: All" in the top of your All My Movies main window.

Double-click on movie is mouse shortcut for "Edit Movie.." option. With this operation you can easily review and change movie details.

Right mouse button brings context menu, which may contain next items:

Left mouse button click in the movie list area with CTRL key pressed will select or deselect movie when "Multiple movies selection" option is on

Edit movie record | Edits database's fields of current movie.
Add cover | Adds new cover image or replaces existing
Delete | Deletes currently selected movie. You will be asked for confirmation.
Delete screenshot | Deletes screenshot which mouse cursor points
Add screenshot | Adds screenshot to the current movie database record. You will be able to take screenshots from movie file or from any JPEG file.
Loan/Return | Marks/Unmarks currently selected movie(s) as loaned.
Group by... > | Groups movies in the movie list by title, original title, media type, year, genre or director

Wheel is supported and scrolls the movie details area.


Using Keyboard

Using Keyboard in All My Movies ™

All My Movies™ supports keyboard completely.

Keyboard shortcuts

F1 | Shows help (this file)
F3 | Search within currently opened movie database
F5 | Brings up the statistics window
F12 | Marks/Unmarks currently selected movie(s) as loaned
Insert | Adds new movie to the database
Ctrl+Insert | Adds new movie from file
Delete | Removes movie from the database
Ctrl+E | Edit movie details
Ctrl+N | Creates new All My Movies™ database
Ctrl+O | Opens existing All My Movies™ database
Ctrl+P | Brings up Preferences window
Ctrl+S | Adds screenshot to the currently selected movie
Ctrl+H | Exports current database to HTML format
Ctrl+T | Exports current database to plaintext format
Ctrl+M | Exports current database to Microsoft Excel format
Cursor keys: Up and Down | Moves to the next and previous movie
PageUp and PageDown | Scrolls 10 movies up and down
Home | Moves to the first movie in your database
End | Moves to the last movie in your database


Using All My Movies™

How To Apply?
Toolbar | toolbar
Menu | menu -> submenu
Mouse | mouse
Keyboard | keyboard

"Using All My Movies" covers a broad range of subjects and the steps involved in organizing your movie collection. Every topic has "How to Apply?" help on the right which shows accessibility with toolbar, menu, mouse and keyboard.

  • Adding Movie

  • Adding Movie From File

  • Automatic Movie Info Retrieval

  • Edit Movie Details

  • Adding Screenshots

  • Deleting Screenshots

  • Deleting Movie

  • Importing movies from text file

  • Scanning your drives for movies

  • Manage Loans

  • Searching Movies

  • Working with Cover Images

  • Sharing your movie database with friends

  • Exporting Database to HTML Format

  • Exporting Database to Plaintext Format

  • Exporting Database to Microsoft Excel Format

  • Setting/Changing/Removing Password Protection

  • Setting Program Preferences

  • Using Keyboard

  • Using Statistics

  • Checking for Program Updates


Adding Movie

Adding Movie to the database

How To Apply?
Toolbar |
Menu | Movie -> Add...
Mouse | -
Keyboard | Insert

First of all, let me say, you can add movie to your database in the different ways. You can simply add movie, you can add movie from file and add movie from DVD. What is the difference? If you don't have a video file (*.AVI) or DVD disc you should use the first way. If you have a video file available, then use "Add from file" menu item and after you'll be promted for fie name some technical information will be captured from the file and you will be able to capture movies screenshots and store them in the database. The same is for DVD adding. If you have a DVD, insert disc in your DVD drive and use "Add DVD.." command. In this case technical information like available traslation language, subtitles, duration, aspect ratio will be extracted from disc automatically. And you'll be able to capture stills too.

It is doesn't matter what way you're going you always will see window like this:

There are several tabs and here you can fill all available fields to store.

And here the main button ;)

-after you enter movie OrigTitle, click on this button to automatically download data from internet. Find out more about automatic movie information retrieval. Right click on this button for fast picking online database

Next media Button - Use it if your movie consists of several files for next file details import.

OK Button - Apply your changes

Cancel Button - Cancel movie adding or changes


Adding Movie From File or DVD

Adding Movie from file or DVD to the list

How To Apply?
Toolbar |
Menu | Movie -> Add From File...
Mouse | -
Keyboard | CTRL+Insert

After initiation of Add From File command you will be asked for movie file name and usual Movie Details dialog will be shown:

Here is shown capturing stills from an AVI file. Sometimes it it easier to remember movie when look on stills If you need a precision seeking you should use arrow keys.

Next media Button - Use it if your movie consists of several files for next file details import.

OK Button - Apply your changes

Cancel Button - Cancel movie adding or changes


Adding Screenshots

Adding Screenshots to the movie record

How To Apply?
Toolbar |
Menu | Movie -> Add Screenshot...
Mouse | Right click on the description area and choose "Add Screenshot"
Keyboard | CTRL+S

After initiation of Add Screenshot command Movie Details dialog is shown:

Here is shown capturing stills from an AVI file. Sometimes it it easier to remember movie when look on stills If you need a precision seeking you should use arrow keys.

Next media Button - Use it if your movie consists of several files for next file details import.

OK Button - Apply your changes

Cancel Button - Cancel movie adding or changes


Automatic Info Retrieval

Automatic Movie Details Retrieval

Open "Movie Details" dialog (selecting Add New or Edit option from Edit menu), enter movie OrigTitle and click the [image] button or just press an Enter key.

Right click on this button for fast picking online database

For Example:

New dialog window will show and after connecting to online database search, results are displayed:

As we use fuzzy search (that means even misspelled titles can give results) and movies with identical names are not rare, you should select appropriate entry. If only one title is found All My Movies™ will not bother you to select it.

Click movie you need to include in the database and All My Movies™ will load movie details including movie description and cover image.

You can always click the red cross button and cancel download.


Setting/Changing/Removing Password Protection

How To Apply?
Toolbar |
Menu | Database -> Set/Change Password...
Mouse | -
Keyboard | -

After initiation of Set Password command you will be asked for new password twice. After double entering password will be set and your database encrypted.

After initiation of Change Password command you will be asked for old password for cofirmation your access. If your password was correct you will be asked for new password twice. After double entering password will be changed and your database encrypted.

To remove password protection just change your password to empty one


Working with cover images

How To Apply?
Toolbar | -
Menu | Movie - Add Cover
Mouse | Right click on movie details display area and choose "Add Cover" or "Delete Cover"
Keyboard | -

Use menu Movie - Add Cover for adding new cover image or replacing existing. If you wish to delete cover image then place your mouse cursor over the cover image do click with the right button. The context menu will be shown. Choose "Delete Cover". You will be asked for confirmation. Answer "yes" if you really want to delete cover.

When you use automatic movie info retrieval you can switch between small and large cover image import. It can be done with Setting Preferences


Searching Movies

How To Apply?
Toolbar |
Menu | Tools -> Movie Search...
Mouse | -
Keyboard | F3

After initiation of Search command Search movie dialog is shown:

For textual field, enter any part of string. Search is case insensitive. For example, entering "man" for cast will find movies with Nicole Kidman, Gene Hackman, but also Andy Romano, Norman Golightly or Marshall Manesh.

If you activate more than one filed, search will find only those movies which satisfy all criterias. For example, enter "1998" for year and "kidman" for cast and you'll get all movies released in 1998 with actor having "kidman" in actors crew

OK will actually perform search and show only found results. Shortcut is to press Enter key.

NOTE!

After the search command All My Movies™ may display less movies than database actually contains. You'll see this in the toolbar where "Show: Search results" will be displayed. Choose "Show: All" to show entire database.


Sharing your movie database with friends

How To Apply?
Toolbar |
Menu | Database -> Share with friends...
Mouse |
Keyboard |

Sharing your movie database with friends

Now you have an easy way to share your movie collection database with your friends. You only must have MAPI-enabled e-mail client installed in your system, such us Outlook Express and many others.

When you choose menu "Database->Share with friend" you should see your mail client's window with a ready to send message. You only have to choose an address from your contacts.

When your friend got this message he have to download small All My Movies database viewer or All My Movies Trial version and he will be able to browse your collection.


Delete screenshot

How To Apply?
Toolbar | -
Menu | -
Mouse | Right click on screenshot and choose "Delete Screenshot"
Keyboard | -

Place your mouse cursor over the screenshot and do click with right button. The context menu will be shown. Choose "Delete Screenshot". You will be asked for confirmation. Answer "yes" if you really want to delete screenshot.


Deleting Movie

Deleting Movie from the database

How To Apply?
Toolbar |
Menu | Movie -> Delete...
Mouse | Right click and choose "Delete"
Keyboard | Delete

To delete a movie, you have to press the Del button and answer "yes" when the confirmation window arises.


Edit Movie Details

How To Apply?
Toolbar |
Menu | Movie -> Edit...
Mouse | Double click on movie
Keyboard | CTRL-E

To edit movie details double click on your movie title. After that Movie Details dialog is shown:

There are several tabs and here you can fill all available fields to store.

And here the main button ;)

-after you enter movie OrigTitle, click on this button to automatically download data from internet. Find out more about automatic movie information retrieval. Right click on this button for fast picking online database

Next media Button - Use it if your movie consists of several files for next file details import.

OK Button - Apply your changes

Cancel Button - Cancel movie adding or changes


Exporting Database to HTML format

How To Apply?
Toolbar |
Menu | Tools -> Export to HTML...
Mouse | -
Keyboard | CTRL-H

After initiation of Export to HTML command you'll be asked for the template you want to use for export. You will see preview for each template your choose as you can see on the screenshot below. It is easy to use HTML export wizard.

Only if you choose "Simple table" as your template you can decide which fields to include in your output file using dialog window shown below:

As you can see this dialog window consists of two listboxes. The left one is for fields to include in the output file and the right one is for available fields. You can select one field or more and move them from one listbox to another using the buttons with fingers. The field order in the output file will be the same as in the left listbox.

You have to enter file name of output file. You can do it manually in editbox at the bottom of the window or press the button to the right of this edit box to choose file name with standart Windows "Save as.." dialog.

Numeration - check this to include numeration in the output file

Header - check this to include header with the field names in the output file

Show result - check this to view the output file in your default browser

Sort by - here you can set sorting options. You can choose field to sort by and the sort order - descending or ascending

Press Go to process export.

Press Cancel to close this dialog


Exporting Database to Microsoft Excel format

How To Apply?
Toolbar |
Menu | Tools -> Export to Microsoft Excel...
Mouse | -
Keyboard | CTRL-M

After initiation of Export to Microsoft Excel command new dialog is shown

It is the same as Export to HTML dialog below.


Exporting Database to plaintext format

How To Apply?
Toolbar |
Menu | Tools -> Export to plaintext...
Mouse | -
Keyboard | CTRL-T

After initiation of Export to plaintext command new dialog is shown:

As you can see this dialog window consists of two listboxes. The left one is for fields to include in the output file and the right one is for available fields. You can select one field or more and move them from one listbox to another using the buttons with fingers . The field order in the output file will be the same as in the left listbox.

You have to enter file name of output file. You can do it manually in editbox at the bottom of the window or press the button to the right of this edit box to choose file name with standart Windows "Save as.." dialog.

You can choose field separator by checking radiobutton: Tabulation symbol, Comma, or Semicolon

Numeration - check this to include numeration in the output file

Header - check this to include header with the field names in the output file

Show result - check this to view the output file in your default text viewer

Sort by - here you can set sorting options. You can choose field to sort by and the sort order - descending or ascending

Press Go to process export.

Press Cancel to close this dialog


Managing Loans

How To Apply?
Toolbar | -
Menu | Movie - Loan/Return
Mouse | Click on the checkbox near the movie title
Keyboard | F12

Click on the checkbox near the movie title to loan. Small dialog window will be shown:

Here you can enter or choose from the listbox the name of person who takes your movie. If you had lented some movies they will be shown with the checked checkboxes. To mark movie unlented just click on the checkbox again. I think you should try this for better feeling.


Checking for All My Movies™ updates

How To Apply?
Toolbar |
Menu | Help -> Check for updates...
Mouse |
Keyboard |

Checking for All My Movies™ updates

Bolide Software, Inc. team is working hard to bring you better, bug-free and more interesting versions of All My Movies™ application. Use menu Help - Check for updates... for fast checking for the update. If updates is available you will see whats new in this update and can download it using your default browser or download manager.

You can also check for new version by going to the our website - www.bolidesoft.com

If you are registered user your minor versions upgrade is free.


Setting Program Preferences

How To Apply?
Toolbar |
Menu | Tools -> Preferences...
Mouse | -
Keyboard | CTRL-P

After initiation of Preferences command dialog is shown. It has five tabs. Lets look at "General" tab.

Add Buttons - adds new genre in the genres list or new media type in the media types list.

Delete Buttons - deletes currently selected genre or media type

Compress database on exit - each time when you close the program it will be compress currently opened database.

Show Tip of the Day - no comments ;)

Display original name in list - displays original movie title in movie list on the left. When unchecked local (Brazilian, for example) movie title is used.

Multiple movies selection - allows to select multiple movies at once to process operations with them.

Default DVD drive - this drive will be used when "Add DVD..." command is used.

Now have a look at "Display" tab

Here you can set fonts - for each of the database fields. Using checkboxes you can choose which fields will be displayed in the movie description area.

Select All - selects all fields to be displayed in the movie description area.

Deselect All - deselects all fields. Nothing will be displayed if you choose this.

Sample - a font sample for the currenlty selected field. In this case it is for main movie title

Set one font for all - sets font for all database fields at once. Useful when you tired to set font for each field separately

Choose skin - Open theme file to use as current skin. Yoo can choose many theme formats including standart Windows XP styles.

Disable skins - Use this to turn off and on skinnable interface

Screenshots - you can set screenshot size here - real size, medium and small. And set film effect - when screenshots are displayed as a frames of film. Note, "Real Size" is the faster but no Film Effect will be applied.

With the "Language" tab you can specify the language of the user interface.

Let's have a look at "Online databases" tab now

Database by default - Choosed database will be used for automatical movie details retrieval by default. Now supported two databases. IMDb.com - movie details in English and videoguide.ru - movie details in Russian.

Import larger cover images from Amazon.com - choose it if you want to store large screenshots in your movie database

Use proxy server - check to use proxy server. Proxy configuration is taken automatically from your Internet Explorer settings. You can set your own settings using fields below.

Address - proxy server address. It can be IP address or host name of your proxy server

Login and Password - fill this fields of your proxy requires authorization

And finally, let's have a look at "Custom fields" tab

If you want to store in the database something else and you cant find suitable field for your needs, you can create your own ones. You are limited to 10 custom fields. Each of custom fields has a length limit of 255 chars. With checkboxes you can turn on or off displaying this field in the main movie description area. And you can set font for each of the fields separately using Set font button.

OK Button - Apply your changes


About Bolide Software, Inc

We are small software development group. We are skilled in multimedia software, system tools and other useful stuff for Windows. So, you see our specialization is wide enough. Now our group consists of only three persons, but it is enough to produce quality software and to take care of every our customers.

Feel free to contact us at e-mail: support@bolidesoft.com


Getting Support

If you should need any help or information regarding our company or products, take a look first into our "News" and "Frequently asked questions". That could save you a lot of time.

Support page: www.bolidesoft.com/feedback.html

All My Movies™ page: www.bolidesoft.com/allmymovies.html

If you don't find an answer there, please feel free to send us an eMail.

Use following eMail addresses:

Technical support: support@bolidesoft.com

Sales (Reseller, Commercial use etc.): sales@bolidesoft.com


How to Buy All My Movies™

You have several ways to purchase All My Movies™:

  • On-line (credit card)
  • Phone order (credit card)
  • FAX (credit card)
  • Wire Transfer
  • Post (cheque)
  • Paypal (please, use SWREG when ordering from our site for this payment option)

As we regulate our exchange through our sales partners, please, take a look on our web site at: www.bolidesoft.com/allmymovies.html for current information on buying All My Movies™, discounts, special offers etc. You can also send e-mail on support@bolidesoft.com and get up-to-date information.

After you purchase All My Movies™, you should get a registration key.

  • How to unlock All My Movies™?


All My Movies. License Agreement

All My Movies™ - License Agreement

Powerful Movie Database Manager
©2003-2004 Bolide Software, Inc, http://www.bolidesoft.com

The All My Movies™ is distributed as try-before-you-buy. This means:

1. All copyrights to All My Movies™ are exclusively owned by the author - Bolide Software, Inc.

2. Anyone may use this software during a test period of 15 days. Following this test period of 15 days or less, if you wish to continue to use All My Movies™, you must purchase it.

3. One registered copy of this software may either be used by a single user who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple users, but not both. The licensed All My Movies™ software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions. In case of sharing your license information your registration key will be blacklisted and result in immediate and automatic termination of this license

4. The All My Movies™ trial version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of All My Movies™ without written permission from the copyright holder.

5. All My Movies™ IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here are reserved by Bolide Software, Inc.

7. Installing and using All My Movies™ signifies acceptance of these terms and conditions of the license.

8. If you do not agree with the terms of this license you must remove All My Movies™ files from your storage devices and cease to use the product.

Thank you for using the original All My Movies™.

Should you detect errors before registration, you accept them if you register. Any description of bugs will be accepted, but we cannot guarantee that we will be able to correct them.


Registration Process

After you purchase All My Movies™ (look at topic "How to buy All My Movies™?"), you will get activation code.

Select Help -> About menu item and then click Register button in About box. Dialog will appear:

You should copy information you received from Bolide Software, or Bolide Software sales representative and paste it to the field. Now, press OK button.

Registration process will complete on next application restart.

If you have any problems with registration process, please contact us by e-mail support@bolidesoft.com.


Importing movies from text files

How To Apply?
Toolbar | -
Menu | Tools - Import from text (CSV)
Mouse | -
Keyboard | -

This function is useful if you already have your collection made with some other software like Microsoft Excel, Notepad and others. These products can save your collection in text file (*.txt). After that your collection can be imported to All My Movies.

To use this function use menu Tools - Import from text file (CSV). You will be prompted for your collection's file name and then you'll see the dialog window like shown below:

Here you can set the fields delimiter and assign found fields to available fields. To do this just choose your fields from the list of available fields and click on the top row of the table on the needed column.


Scanning drive for movies

How To Apply?
Toolbar | -
Menu | Tools - Scan drive for movies
Mouse | -
Keyboard | -

This function will be useful if you store many movies on your hard drive, for example. Use menu option Tools - Scan drive for movies and you will be promted for drive name or folder name to start scanning from. All subfolders will be scanned too. After scan is complete you will see window with list of founded movies. You'll be able to delete movie from this list before adding it to the database. You will be also able to choose where the movie title can be found - in the file name or folder name. In first case your founded movies will be added with titles exactly as their file names without an extensions, of course. In second case movie titles will be taken from folder names where movie files are located.

And there are two ways to add movies to your database. If you'll check the checkbox "Add only movie names" then all movies will be added quickly but only movie names and date added will be filled. The others fields you can fill later. If you don't check the checkbox, you will be promted to enter movie details for each movie in the founded list.


Edit Movie Details

How To Apply?
Toolbar |
Menu | Tools -> Statistics...
Mouse |
Keyboard | F5

To show database statistics window use menu item Tools - Statistics. You will see window like shown below

There are two tabs in this window: "General" and "Debtors".

On the "General" tab you'll see general statistics like how many movies you have in your database at all and how many movies has been lent. Beside this you'll find on this tab statistics by media type, genre, year and video codec.

On the "Deptors" tab is shown detailed debtors statistics. Now you can always know who and when taken your movies, how many movies and which exactly movies has been lent. There are two tables on this tab. The first one with debtor's name and lent movie count. The second one is used for movie titles displaying when click on the name of debtor.